Loading...
Searching...
No Matches
pcl::TransformationFromCorrespondences Class Reference
Module common

Calculates a transformation based on corresponding 3D points. More...

`#include <pcl/common/transformation_from_correspondences.h>`

## Public Member Functions

| TransformationFromCorrespondences ()
| Constructor - dimension gives the size of the vectors to work with.
void | reset ()
| Reset the object to work with a new data set.
float | getAccumulatedWeight () const
| Get the summed up weight of all added vectors.
unsigned int | getNoOfSamples () const
| Get the number of added vectors.
void | add (const Eigen::Vector3f &point, const Eigen::Vector3f &corresponding_point, float weight=1.0)
| Add a new sample.
Eigen::Affine3f | getTransformation ()
| Calculate the transformation that will best transform the points into their correspondences.

## Protected Attributes

unsigned int | no_of_samples_ = 0
float | accumulated_weight_ = 0
Eigen::Vector3f | mean1_ = Eigen::Vector3f::Identity ()
Eigen::Vector3f | mean2_ = Eigen::Vector3f::Identity ()
Eigen::Matrix< float, 3, 3 > | covariance_ = Eigen::Matrix<float, 3, 3>::Identity ()

## Detailed Description

Calculates a transformation based on corresponding 3D points.

Author
  Bastian Steder

Definition at line 49 of file transformation_from_correspondences.h.

## Constructor & Destructor Documentation

## TransformationFromCorrespondences()

pcl::TransformationFromCorrespondences::TransformationFromCorrespondences | ( |  | ) |

inline

Constructor - dimension gives the size of the vectors to work with.

Definition at line 54 of file transformation_from_correspondences.h.

References reset().

## Member Function Documentation

## add()

void pcl::TransformationFromCorrespondences::add | ( | const Eigen::Vector3f & | point,
|  | const Eigen::Vector3f & | corresponding_point,
|  | float | weight = `1.0`
| ) |  |

inline

Add a new sample.

Definition at line 58 of file transformation_from_correspondences.hpp.

References accumulated_weight_, covariance_, mean1_, mean2_, and no_of_samples_.

Referenced by pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

## getAccumulatedWeight()

float pcl::TransformationFromCorrespondences::getAccumulatedWeight | ( |  | ) | const

inline

Get the summed up weight of all added vectors.

Definition at line 64 of file transformation_from_correspondences.h.

References accumulated_weight_.

## getNoOfSamples()

unsigned int pcl::TransformationFromCorrespondences::getNoOfSamples | ( |  | ) | const

inline

Get the number of added vectors.

Definition at line 68 of file transformation_from_correspondences.h.

References no_of_samples_.

## getTransformation()

Eigen::Affine3f pcl::TransformationFromCorrespondences::getTransformation | ( |  | ) |

inline

Calculate the transformation that will best transform the points into their correspondences.

Definition at line 77 of file transformation_from_correspondences.hpp.

References covariance_, mean1_, and mean2_.

Referenced by pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

## reset()

void pcl::TransformationFromCorrespondences::reset | ( |  | ) |

inline

Reset the object to work with a new data set.

Definition at line 47 of file transformation_from_correspondences.hpp.

References accumulated_weight_, covariance_, mean1_, mean2_, and no_of_samples_.

Referenced by TransformationFromCorrespondences().

## Member Data Documentation

## accumulated_weight_

float pcl::TransformationFromCorrespondences::accumulated_weight_ = 0

protected

Definition at line 84 of file transformation_from_correspondences.h.

Referenced by add(), getAccumulatedWeight(), and reset().

## covariance_

Eigen::Matrix<float, 3, 3> pcl::TransformationFromCorrespondences::covariance_ = Eigen::Matrix<float, 3, 3>::Identity ()

protected

Definition at line 87 of file transformation_from_correspondences.h.

Referenced by add(), getTransformation(), and reset().

## mean1_

Eigen::Vector3f pcl::TransformationFromCorrespondences::mean1_ = Eigen::Vector3f::Identity ()

protected

Definition at line 85 of file transformation_from_correspondences.h.

Referenced by add(), getTransformation(), and reset().

## mean2_

Eigen::Vector3f pcl::TransformationFromCorrespondences::mean2_ = Eigen::Vector3f::Identity ()

protected

Definition at line 86 of file transformation_from_correspondences.h.

Referenced by add(), getTransformation(), and reset().

## no_of_samples_

unsigned int pcl::TransformationFromCorrespondences::no_of_samples_ = 0

protected

Definition at line 83 of file transformation_from_correspondences.h.

Referenced by add(), getNoOfSamples(), and reset().

The documentation for this class was generated from the following files:

- pcl/common/transformation_from_correspondences.h
- pcl/common/impl/transformation_from_correspondences.hpp